getChipType {xps} | R Documentation

## Get Chip Type

### Description

Get chip type from ROOT scheme file.

### Usage

    getChipType(rootfile)

### Arguments

`rootfile` | name of ROOT scheme file, including full path.

### Details

Extracts the chip type directly from `ROOT` scheme file `rootfile`.

### Value

a `character` with the chip type, either ‘GeneChip’ or ‘ExonChip’.

### Author(s)

Christian Stratowa

### See Also

`getChipName`, `getNameType`

### Examples

    ## correct usage
    getChipType(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    ## incorrect usage
    getChipType(paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))

[Package xps version 1.2.10 Index]